-- About EDSSearch.lua (version 1.2, 4/11/2012 by Jung Moon)
--
-- EDSSearch.lua does a EBSCO Discovery search for the title of an article, book chapter, etc. then processes the results.
-- scriptActive must be set to true for the script to run.
-- autoSearch (boolean) determines whether the search is performed automatically when a request is opened or not.
--

local settings = {};
settings.AutoSearch = GetSetting("AutoSearch");
local EDSUrl = GetSetting("EDSUrl");
local myBrand = GetSetting("myEDSBrand");


local interfaceMngr = nil;
local EDSSearchForm = {};
EDSSearchForm.Form = nil;
EDSSearchForm.Browser = nil;
EDSSearchForm.RibbonPage = nil;


require "Atlas.AtlasHelpers";

function Init()
        

	interfaceMngr = GetInterfaceManager();
	
	-- Create a form
	EDSSearchForm.Form = interfaceMngr:CreateForm(myBrand, "Script");
	
	-- Add a browser
	EDSSearchForm.Browser = EDSSearchForm.Form:CreateBrowser(myBrand, "EDS Browser", myBrand);
	
	-- Hide the text label
	EDSSearchForm.Browser.TextVisible = false;
	
	-- Since we didn't create a ribbon explicitly before creating our browser, it will have created one using the name we passed the CreateBrowser method.  We can retrieve that one and add our buttons to it.
	EDSSearchForm.RibbonPage = EDSSearchForm.Form:GetRibbonPage(myBrand);
	
	-- Create the search button
	EDSSearchForm.RibbonPage:CreateButton("Search", GetClientImage("Search32"), "Search", myBrand);
	
	-- After we add all of our buttons and form elements, we can show the form.
	EDSSearchForm.Form:Show();
	
	-- Search when opened if autoSearch is true
	if settings.AutoSearch then
		Search();
	end
end

 
function Search()
    
	local myTitle = "";

	if GetFieldValue("Transaction", "RequestType") == "Loan" then
		myTitle = GetFieldValue("Transaction", "LoanTitle");
                myURL = EDSUrl .. AtlasHelpers.UrlEncode(myTitle); 
        else
		myTitle = GetFieldValue("Transaction", "PhotoArticleTitle");
                myURL = EDSUrl .. AtlasHelpers.UrlEncode(myTitle);
        end
        EDSSearchForm.Browser:Navigate(myURL);  
 
end




